gnutls_pkcs7_get_crl_raw(3)

NAME
gnutls_pkcs7_get_crl_raw - This function returns a crl in a PKCS7 crl set

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_pkcs7_get_crl_raw(gnutls_pkcs7_t pkcs7, int indx, void * crl, size_t * crl_size);

ARGUMENTS

gnutls_pkcs7_t pkcs7

int indx
    contains the index of the crl to extract

void * crl
    the contents of the crl will be copied there (may be null)

size_t * crl_size
    should hold the size of the crl

DESCRIPTION
This function will return a crl of the PKCS7 or RFC2630 crl set. Returns 0 on success. If the provided buffer is not long enough, then crl_size is updated and GNUTLS_E_SHORT_MEMORY_BUFFER is returned. After the last crl has been read GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.